HamletSpec.InputType (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.hamlet2, class: HamletSpec, enum: InputType

Package org.apache.hadoop.yarn.webapp.hamlet2

# Enum Class HamletSpec.InputType

java.lang.Object
java.lang.Enum<HamletSpec.InputType>
org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.InputType

All Implemented Interfaces:
  `Serializable`, `Comparable<HamletSpec.InputType>`, `Constable`

Enclosing class:
  HamletSpec

public static enum HamletSpec.InputType extends Enum<HamletSpec.InputType>
%InputType (case-insensitive)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `button`
  `checkbox`
  `file`
  `hidden`
  `image`
  `password`
  `radio`
  `reset`
  `submit`
  `text`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HamletSpec.InputType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HamletSpec.InputType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### text

    public static final HamletSpec.InputType text

  - ### password

    public static final HamletSpec.InputType password

  - ### checkbox

    public static final HamletSpec.InputType checkbox

  - ### radio

    public static final HamletSpec.InputType radio

  - ### submit

    public static final HamletSpec.InputType submit

  - ### reset

    public static final HamletSpec.InputType reset

  - ### file

    public static final HamletSpec.InputType file

  - ### hidden

    public static final HamletSpec.InputType hidden

  - ### image

    public static final HamletSpec.InputType image

  - ### button

    public static final HamletSpec.InputType button

- ## Method Details

  - ### values

    public static HamletSpec.InputType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HamletSpec.InputType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null